package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import com.zebra.adc.decoder.BarCodeReader;

import java.util.ArrayList;
import java.util.List;

public class StepsBaseBean  implements Parcelable  {

    private String box_number = ""; //
    private String goods_id = ""; //
    private String unit_code = ""; //
    private String total = ""; //
    private List<StepsInfoBean> steps = new ArrayList<>(); //

    public StepsBaseBean(){

    }
    protected StepsBaseBean(Parcel in) {
        box_number = in.readString();
        goods_id = in.readString();
        unit_code = in.readString();
        total = in.readString();
        steps = in.createTypedArrayList(StepsInfoBean.CREATOR);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(box_number);
        dest.writeString(goods_id);
        dest.writeString(unit_code);
        dest.writeString(total);
        dest.writeTypedList(steps);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<StepsBaseBean> CREATOR = new Creator<StepsBaseBean>() {
        @Override
        public StepsBaseBean createFromParcel(Parcel in) {
            return new StepsBaseBean(in);
        }

        @Override
        public StepsBaseBean[] newArray(int size) {
            return new StepsBaseBean[size];
        }
    };

    public String getBoxNumber() {
        return box_number;
    }

    public void setBoxNumber(String box_number) {
        this.box_number = box_number;
    }

    public String getGoodsId() {
        return goods_id;
    }

    public void setGoodsId(String goods_id) {
        this.goods_id = goods_id;
    }

    public String getUnitCode() {
        return unit_code;
    }

    public void setUnitCode(String unit_code) {
        this.unit_code = unit_code;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public List<StepsInfoBean> getSteps() {
        return steps;
    }

    public void setSteps(List<StepsInfoBean> steps) {
        this.steps = steps;
    }
}
